Package: org.codehaus.groovy.transform.stc

## [Java] Class SignatureCodecVersion1

- org.codehaus.groovy.transform.stc.SignatureCodecVersion1

- All Implemented Interfaces and Traits:
    SignatureCodec

      public class SignatureCodecVersion1
      extends Object

  First implementation of an inferred type signature codec.

  Authors:
    Cedric Champeau

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SignatureCodecVersion1 (ClassLoader classLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ClassNode` | `decode(String signature)`
    `` | `String` | `encode(ClassNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public SignatureCodecVersion1(ClassLoader classLoader)

  - ### Method Detail

    - #### public ClassNode decode(String signature)

    - #### public String encode(ClassNode node)